'
' RQASM/NASM FPU DEMO FOR RAPIDQ by Jacques march 24th, 2005
'
' Compute the solution of quadratic equation ax + bx + c = 0
' See RqAsm Code for Doc
'
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
'
$Include "FPU_DEMO.Inc"
'                             a b c root1 root2
DefDbl FiveDouble (0 To 4) = {7,8,1,    0,    0}   

' Discr = Sqr(64 - 28) = 6 > 0
' R1,R2 = (-8 +/- 6)/14 
' R1 = -2/14 = 0.142...
' R2 = (-14/14) = -1

PRINT "\n  a = ";FiveDouble(0);"     b = ";FiveDouble(1);"      c = ";FiveDouble(2)
'
DefInt iReturn = GetQuadraticSolutions (VarPtr(FiveDouble(0)))
If iReturn = 0 Then
    Print "  DISCRIMINATOR IS NEGATIF : NO REAL SOLUTION"
Else
    Print "\n  Root_1 = ";FiveDouble(3);"\n  Root_2 = ";FiveDouble(4)
End If
'
Print "\n  DUE TO SLOW API CALL IN RAPIDQ,\n\n  THIS WILL PROBABLY NOT BE FASTER\n\n  THAN THE RAPIDQ COMPUTATION"
' -------------------------------------------------------------
' EXIT CONSOLE
' ------------
DefStr sExit
Input "\n\n                    CR to QUIT \n\n", sExit
Application.Terminate
End
'
